package dk.itu.mario.level;

public class LevelComponent {
	public enum TYPE {
		BLOCKS, COINS, FLAT_HI, FLAT_LO, FLAT_SAFE, HI_LO, HI_PATH, LEVEL_SEGMENT, LEVEL, LO_HI, LO_PATH, MAZE, PIPE_JUMP, PLATFORM_JUMP, POWER_UP
	};

	public enum MazeLevel {
		BOT, MID, TOP
	}

	public enum PlatformLevel {
		BOT, MID_D, MID_U, TOP
	}

	private TYPE type;
	private int start;
	private int end;

	public LevelComponent(TYPE type, int start, int end) {
		this.type = type;
		this.end = end;
		this.start = start;
	}

	public TYPE getType() {
		return type;
	}

	public int getStart() {
		return start;
	}

	public int getEnd() {
		return end;
	}

	@Override
	public String toString() {
		return type + "[" + start + ".." + end + "]";
	}
}
